unit Tips;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Buttons, StdCtrls;

type
  TTipsForm = class(TForm)
    Label1: TLabel;
    TipMemo: TMemo;
    CancelBtn: TSpeedButton;
    DisableTipsOnStartupCBox: TCheckBox;
    SpeedNext: TSpeedButton;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure CancelBtnClickClick(Sender: TObject);
    procedure SpeedNextClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  TipsForm: TTipsForm;

implementation

uses UDmFonction;

{$R *.dfm}


procedure TTipsForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  DMfonction.ShowTipsOnStartup:=Not(DisableTipsOnStartupCBox.Checked);
  Action:=caFree;
end;

procedure TTipsForm.CancelBtnClickClick(Sender: TObject);
begin
  DMFonction.ShowTipsOnStartup := not TipsForm.DisableTipsOnStartupCBox.Checked;
  Close;
end;

// Astuce suivante
procedure TTipsForm.SpeedNextClick(Sender: TObject);
Var
 TexteAstuce : String;
begin
 TexteAstuce:= DMFonction.ChargerAstuce;
 if(TexteAstuce <> EmptyStr)then
  TipsForm.TipMemo.Text:=TexteAstuce;
end;

end.
